<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: "ScheduleRepo")]
#[ORM\Table(name: 'schedule')]
class Schedule {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Группа, связанная с расписанием
    #[ORM\JoinColumn(nullable: false)]
    #[ORM\ManyToOne(CollegeGroup::class)]
    private CollegeGroup $college_group;

    // День расписания
    #[ORM\Column(type: 'date')]
    private \DateTime $day;

    public function getId() {
        return $this->id;
    }
}