<?php

// Клавиатура выбора даты

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;

use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;
use BotKit\Enums\DateSelect;

class DateSelectKeyboard extends Keyboard {
    #region Драйвер-зависимые свойства
    public $tg_resize=true;
    public $tg_onetime=false;
    public $tg_specific=true;
    public $inline=true;
    #endregion

    public function __construct(DateSelect $intent, $value) {
	// 1. Получить текущее время как unix-метку
	$current_time = time();
	
	$this->layout = [];

	// 2. Добавить кнопки на 3 дня вперёд

	$this->layout[] = [new CallbackButton(
	    "Сегодня",
	    CallbackType::SelectDate,
	    KeyboardButtonColor::None,
	    ["intent" => $intent->value, "value" => $value, "timestamp" => $current_time ])];

	$this->layout[] = [new CallbackButton(
	    "Завтра",
	    CallbackType::SelectDate,
	    KeyboardButtonColor::None,
	    ["intent" => $intent->value, "value" => $value, "timestamp" => $current_time + 86400 ])];

	$this->layout[] = [new CallbackButton(
	    "Послезавтра",
	    CallbackType::SelectDate,
	    KeyboardButtonColor::None,
	    ["intent" => $intent->value, "value" => $value, "timestamp" => $current_time + 86400 * 2 ])];
    }

    public static bool $cacheable = false;
}